Announcement

Collapse
No announcement yet.

XWayland Gets Patch To Automatically Use EGLStreams For NVIDIA Support When Needed

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • XWayland Gets Patch To Automatically Use EGLStreams For NVIDIA Support When Needed

    Phoronix: XWayland Gets Patch To Automatically Use EGLStreams For NVIDIA Support When Needed

    While the recently released X.Org Server 1.20 has initial EGLStreams for XWayland support to allow X11 on Wayland client application support for use with the NVIDIA proprietary driver, the support isn't automatically available when needed. Fortunately, that's being corrected for a future point release...

    http://www.phoronix.com/scan.php?pag...L-NVIDIA-Patch

  • #2
    Queue Martin Graesslin's(Martin Flöser) rage blog post
    KWin does not work properly with EGLStreams and Martin doesn't want to support it.
    This patch seems to assume that every single Linux user uses Gnome Shell.

    Comment


    • #3
      It doesn't matter. If you don't want to use it, simply not install Nvidia binary driver.

      Comment


      • #4
        I don't where i must to set the argument to use XWayland + Nvidia driver ... The article is not clear for this point.

        Comment


        • #5
          Originally posted by ganloo View Post
          It doesn't matter. If you don't want to use it, simply not install Nvidia binary driver.
          It matters if you have bought a Nvidia card, otherwise you have effectively wasted your money.

          Nouveau is highly unstable on modern cards, unless you have a very recent xorg/mesa the 10xx series will not even load X, and if it does will be unusable - i.e -> https://bugzilla.redhat.com/show_bug.cgi?id=1478011 - also in my experience (at least 4 different cards on multiple systems) Nouveau is MORE prone to crashes, on top of that you are effectively unclocking your card by about 80%.

          Unless you have an older card there is no point using Nouveau at all at present, you are better off with on-board crappy intel.


          Comment


          • #6
            Originally posted by Alliancemd View Post
            Queue Martin Graesslin's(Martin Flöser) rage blog post
            KWin does not work properly with EGLStreams and Martin doesn't want to support it.
            This patch seems to assume that every single Linux user uses Gnome Shell.
            Well supposedly Grefsen and Sway also support EGLStreams. There is also an Nvidia-supported EGLStreams patched version of Weston.

            Wayland is still far from being a universal replacement until it's equally well supported by all mainstream GPU hardware and DEs.

            Comment


            • #7
              The old wlc-based sway supported EGLStreams, but the new wlroots-based version, which is very near release, will not do so.

              Comment


              • #8
                Originally posted by Alliancemd View Post
                KWin does not work properly with EGLStreams and Martin doesn't want to support it.
                And he is right. KWin developers should better spend time on Vulkan based Wayland composition in KWin, sidestepping this whole EGLstreams mess.

                Before Martin didn't see a need for it. But that's where he was actually wrong. Not about EGLstreams.

                So far the effort seems stalled: https://cgit.kde.org/kwin.git/log/?h=fredrik/vulkan

                Originally posted by yossarianuk View Post
                It matters if you have bought a Nvidia card, otherwise you have effectively wasted your money.
                I'd say today, Nvidia is a waste of money for any Linux user (unless they are locked into some stuff like CUDA and have no choice).
                Last edited by shmerl; 05-31-2018, 11:29 AM.

                Comment


                • #9
                  Originally posted by shmerl View Post
                  I'd say today, Nvidia is a waste of money for any Linux user (unless they are locked into some stuff like CUDA and have no choice).
                  QFT. I'm still cursing four-years-ago-me for investing so much in an NVIDIA card. Though I guess I was under the impression that they would actually release all the firmware, instead of just the bare minimum, which itself took a whole year…

                  Comment


                  • #10
                    Originally posted by Alliancemd View Post
                    Queue Martin Graesslin's(Martin Flöser) rage blog post
                    KWin does not work properly with EGLStreams and Martin doesn't want to support it.
                    This patch seems to assume that every single Linux user uses Gnome Shell.
                    As I know Martin isn't against EGL Streams. He just doesn't want to write and maintain a lot of code, when KWin has already GBM support. If somebody will provide patches for EGL Streams he would accept it.

                    This patch is for Nvidia users. There are more Wayland compositors with EGL Streams support.

                    Comment

                    Working...
                    X